### Enumeration

# Ide SourceViewModeType

#### Declaration

    enum Ide.SourceViewModeType

#### Description

The type of keyboard mode.

Available since: | 3.32

#### Members

Name | Description
--- | ---
`IDE_SOURCE_VIEW_MODE_TYPE_TRANSIENT` | No description available.
`IDE_SOURCE_VIEW_MODE_TYPE_PERMANENT` | No description available.
`IDE_SOURCE_VIEW_MODE_TYPE_MODAL` | No description available.